Linux repositories inspector

libgles1-nvidia - NVIDIA binary OpenGL|ES 1.x library (transitional)

OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on embedded systems - including consoles, phones, appliances and vehicles. It contains a subset of OpenGL plus a number of extensions for the special needs of embedded systems.
OpenGL|ES 1.x provides an API for fixed-function hardware.
This is a transitional package to aid switching to the GLVND based implementation.
390.87
Debian iconDebian 9.0
367.44
MX Linux iconMX Linux mx16
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 9.0 stretch/non-freedeb390.87-8~deb9u116.02.2019186 kiB204 kiB
Debian iconDebian 9.0 stretch-backports/non-freedeb390.87-8~bpo9+109.02.2019186 kiB204 kiB
MX Linux iconMX Linux mx16 mx16/non-freedeb367.44-3mx150+314.01.2019159 kiB197 kiB

Latest updates

Debian 10.0 icon

Debian 10.0 buster/non-free: Version 390.87-8 removed

11.03.2019 23:10
MX Linux stretch icon

MX Linux stretch stretch/non-free: Version 390.87-6~mx17+1 removed

23.02.2019 23:30
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Version 390.87-8~deb9u1 removed

16.02.2019 07:15
Debian 9.0 icon

Debian 9.0 stretch/non-free: Updated from 384.130-1 to 390.87-8~deb9u1

16.02.2019 06:42
  • Rebuild for stretch.
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Version 390.87-8~deb9u1 introduced

10.02.2019 04:30
  • Rebuild for stretch.
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 390.87-6~bpo9+1 to 390.87-8~bpo9+1

09.02.2019 10:18
  • Rebuild for stretch-backports.
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 390.87-6 to 390.87-8

06.02.2019 16:02
  • Tune more package relationships to prevent that installing packages from nvidia-graphics-drivers-legacy-390xx driver pulls in packages from nvidia-graphics-drivers via Recommends.
MX Linux stretch icon

MX Linux stretch stretch/non-free: Updated from 390.87-4~mx17+1 to 390.87-6~mx17+1

02.02.2019 00:40
  • Rebuild for MX 17.
  • Revert to debhelper compat 10.
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 390.87-4~bpo9+1 to 390.87-6~bpo9+1

16.01.2019 22:10
  • Rebuild for stretch-backports.
MX Linux stretch icon

MX Linux stretch stretch/non-free: Version 390.87-4~mx17+1 introduced

14.01.2019 15:01
  • Rebuild for MX 17.
MX Linux mx16 icon

MX Linux mx16 mx16/non-free: Version 367.44-3mx150+3 introduced

14.01.2019 15:00
  • A better-working version of nvidia-detect.in.
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 390.87-5 to 390.87-6

12.01.2019 22:37
Luca Boccassi
  • Add ipmi-user.patch and vm-insert-pfn.patch to fix kernel module build for Linux 4.20 and newer. (Closes: #917586)
  • Update Swedish (sv) debconf translation. Thank you Martin Bagge! (Closes: #918018)
Andreas Beckmann
  • Switch to debhelper-compat (= 12).
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 390.25-2 to 390.87-5

12.01.2019 14:17
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Version 384.130-1 removed

12.01.2019 13:52
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 390.48-2~bpo9+3 to 390.87-4~bpo9+1

12.01.2019 13:52
  • Rebuild for stretch-backports.
Debian 9.0 icon

Debian 9.0 stretch/non-free: Updated from 375.82-1~deb9u1 to 384.130-1

12.01.2019 13:50
  • New upstream long lived branch release 384.130 (2018-03-28).
    • Fixed CVE-2018-6249, CVE-2018-6253.
      https://nvidia.custhelp.com/app/answers/detail/a_id/4649 (Closes: #894338)
    • Improved compatibility with recent Linux kernels.
    • Fixed a string concatenation bug that caused libGL to accidentally try to create the directory "$HOME.nv" rather than "$HOME/.nv" in some cases where /tmp isn't accessible. (Closes: #888028)
    • Increased the version numbers of the GLVND libGL, libGLESv1_CM, libGLESv2, and libEGL libraries, to prevent concurrently installed non-GLVND libraries from taking precedence in the dynamic linker cache.
  • New upstream release 340 series.
    • Fixed a bug which could cause X servers that export a Video Driver ABI earlier than 0.8 to crash when running X11 applications which call XRenderAddTraps().
    Luca Boccassi
    • Install the renamed GLVND libraries and add SONAME symlinks.
    Andreas Beckmann
    • Bump the required glx-diversions/glx-alternative-nvidia version for the renamed GLVND libraries.
    • Upload to stretch
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Updated from 384.111-4~deb9u1 to 384.130-1

19.06.2018 07:50
  • New upstream long lived branch release 384.130 (2018-03-28).
    • Fixed CVE-2018-6249, CVE-2018-6253.
      https://nvidia.custhelp.com/app/answers/detail/a_id/4649 (Closes: #894338)
    • Improved compatibility with recent Linux kernels.
    • Fixed a string concatenation bug that caused libGL to accidentally try to create the directory "$HOME.nv" rather than "$HOME/.nv" in some cases where /tmp isn't accessible. (Closes: #888028)
    • Increased the version numbers of the GLVND libGL, libGLESv1_CM, libGLESv2, and libEGL libraries, to prevent concurrently installed non-GLVND libraries from taking precedence in the dynamic linker cache.
  • New upstream release 340 series.
    • Fixed a bug which could cause X servers that export a Video Driver ABI earlier than 0.8 to crash when running X11 applications which call XRenderAddTraps().
    Luca Boccassi
    • Install the renamed GLVND libraries and add SONAME symlinks.
    Andreas Beckmann
    • Bump the required glx-diversions/glx-alternative-nvidia version for the renamed GLVND libraries.
    • Upload to stretch
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 384.111-3~bpo9+1 to 390.48-2~bpo9+3

19.06.2018 07:50
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 384.111-4 to 390.25-2

14.03.2018 02:50
  • Merge changes from 387.34-4.
  • Upload to unstable.
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Version 384.111-4~deb9u1 introduced

14.03.2018 02:47
  • Rebuild for stretch.
  • Relax the libvulkan1 (build-)dependency.
  • Do not conflict with *-glvnd-nvidia, there is no libglvnd in stretch.
  • Continue recommending the GLESv1 library for stretch.

Related packages

libgles1 - Vendor neutral GL dispatch library -- GLESv1 support
nvidia - NVIDIA drivers for linux
libgles1-nvidia-legacy-340xx - NVIDIA binary OpenGL|ES 1.x library (340xx legacy version)
⇧ Top